elisa.plugins.pigment.widgets.box.Box {
  spacing: 1px;
}

elisa.plugins.pigment.widgets.list.List {
  spacing: 1px;
}

elisa.plugins.poblesec.sections_menu.MainMenuList {
  /* FIXME: for some unknown reason even though MainMenuList inherits from List
            the style (spacing) is not inherited */
  spacing: 1px;
}

elisa.plugins.poblesec.poblesec_browser_controller.BottomBar {
  height: 0.12;
  y: 0.90;
  logo-size: 0.12, 0.70;
  logo-position: 0.855, 0.08, 0.0;
  logo-bg_a: 0;
  logo-alignment: right;
  logo-opacity: 0;
}


elisa.plugins.poblesec.poblesec_browser_controller.TopBar {
  height: 0.1525;
  title-text-font_size: xx-large;
  title-text-ellipsize: end;
  title-text-bg_a: 0;
  title-size: 0.4, 0.5;
  title-position: 0.028, 0.239, 0.0;
  bread_crumbs-height: 0.3;
  bread_crumbs-position: 0.028, 0.635, 0.0;
  button_bar-position: 0.642, 0.225, 0.0;
  button_bar-size: 0.33, 0.6;
}

elisa.plugins.pigment.widgets.button.Button#topbar_title {
  text-fg_color: 255, 255, 255, 255;
}

elisa.plugins.pigment.widgets.button.Button#topbar_title:STATE_SELECTED {
  text-fg_color: 33, 146, 189, 236;
}

elisa.plugins.pigment.widgets.button.Button#topbar_title:STATE_PRESSED {
  text-fg_color: 240, 240, 240, 236;
}


elisa.plugins.poblesec.poblesec_browser_controller.ButtonBar {
  animated-opacity: 102;
  alignment: end;
}

elisa.plugins.poblesec.poblesec_browser_controller.ButtonBar:STATE_SELECTED {
  animated-opacity: 255;
}


elisa.plugins.poblesec.poblesec_browser_controller.PlayButton {
  icon-file: url(theme/player/glyph_play_btn_norm-99x99.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.PlayButton:STATE_SELECTED {
  icon-file: url(theme/player/glyph_play_btn_high-99x99.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.PlayButton:STATE_PRESSED {
  icon-file: url(theme/player/glyph_play_btn_press-99x99.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.StopButton {
  icon-file: url(theme/player/glyph_stop_btn_norm-99x99.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.StopButton:STATE_SELECTED {
  icon-file: url(theme/player/glyph_stop_btn_high-99x99.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.StopButton:STATE_PRESSED {
  icon-file: url(theme/player/glyph_stop_btn_press-99x99.png);
}


elisa.plugins.poblesec.poblesec_browser_controller.VerticalListButton {
  icon-file: url(theme/visualisation_modes/list_normal.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.VerticalListButton:STATE_SELECTED {
  icon-file: url(theme/visualisation_modes/list_selected.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.VerticalListButton:STATE_PRESSED {
  icon-file: url(theme/visualisation_modes/list_pressed.png);
}


elisa.plugins.poblesec.poblesec_browser_controller.GridButton {
  icon-file: url(theme/visualisation_modes/grid_normal.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.GridButton:STATE_SELECTED {
  icon-file: url(theme/visualisation_modes/grid_selected.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.GridButton:STATE_PRESSED {
  icon-file: url(theme/visualisation_modes/grid_pressed.png);
}


elisa.plugins.poblesec.poblesec_browser_controller.CoverflowButton {
  icon-file: url(theme/visualisation_modes/coverflow_normal.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.CoverflowButton:STATE_SELECTED {
  icon-file: url(theme/visualisation_modes/coverflow_selected.png);
}

elisa.plugins.poblesec.poblesec_browser_controller.CoverflowButton:STATE_PRESSED {
  icon-file: url(theme/visualisation_modes/coverflow_pressed.png);
}


elisa.plugins.poblesec.poblesec_browser_controller.Crumb {
  size: 0.15, 0.95;
  text-font_size: large;
  text-ellipsize: end;
  text-fg_color: 255, 255, 255, 255;
  text-bg_color: 0, 0, 0, 0;
  separator-size: 0.17, 1.0;
  separator-bg_color: 0, 0, 0, 0;
  separator-label: ">";
  separator-ellipsize: end;
  separator-alignment: center;
  background-bg_color: 0, 0, 0, 0;
}

elisa.plugins.poblesec.poblesec_browser_controller.Crumb:STATE_SELECTED {
  text-fg_color: 33, 146, 189, 236;
}

elisa.plugins.poblesec.poblesec_browser_controller.Crumb:STATE_PRESSED {
  text-fg_color: 240, 240, 240, 236;
}

elisa.plugins.poblesec.player_video.PlayerOsd {
  control_ribbon-opacity: 0;
  mouse_osd-position: 0.0, 0.0, 0.0;
  mouse_osd-size: 1.0, 1.0;
  mouse_osd-opacity: 0;
  background-bg_color: 0, 0, 0, 0;
  background-layout: zoomed;
  background-position: 0.0, 0.0, -0.1;
  background-size: 1.0, 1.0;
  background-opacity: 255;
  cover_overlay-opacity: 0;
  status-size: 1.0, 0.15;
  status-position: 0.0, 0.6, 0.0;
  control_ribbon-size: 1.0, 0.15;
  control_ribbon-position: 0.0, 0.85, 0.0;
  background-gradient: "elisa.plugins.poblesec.black_square 0.5 0.3 0.1 0.5 0.80 2.0";
}


elisa.plugins.poblesec.plugins.PluginInfoScreen {
  artwork_ratio: 1.0;
  left_panel-artwork-foreground-layout: scaled;
  left_panel-artwork-foreground-size: 0.846, 0.846;
  left_panel-artwork-foreground-position: 0.077, 0.077, 0.1;
  left_panel-caption-foreground-size: 0.9, 0.8;
  left_panel-caption-foreground-position: 0.07, 0.13, 0.1;
  left_panel-caption-name-bg_a: 0;
  left_panel-caption-name-fg_color: 255, 255, 255, 255;
  left_panel-caption-name-weight: bold;
  left_panel-caption-author-bg_a: 0;
  left_panel-caption-author-fg_color: 255, 255, 255, 255;
  left_panel-caption-version-bg_a: 0;
  left_panel-caption-version-fg_color: 135, 135, 135, 255;
}


elisa.plugins.poblesec.base.preview_list.Shortcut {
  text-fg_color: 255, 255, 255, 255;
  text-alignment: center;
  text-weight: bold;
  text-y: 0.05;
}

elisa.plugins.poblesec.base.preview_list.Shortcut:STATE_DISABLED {
  text-fg_color: 85, 85, 85, 255;
}

elisa.plugins.pigment.widgets.list_vertical.ListVertical#vertical {
  width: 0.7101;
}

elisa.plugins.pigment.widgets.list_vertical.ListVertical#vertical:STATE_NORMAL {
  animated-opacity: 102;
}

elisa.plugins.pigment.widgets.list_vertical.ListVertical#vertical:STATE_SELECTED {
  animated-opacity: 255;
}

elisa.plugins.pigment.widgets.list_vertical.ListVertical#fastscroller {
  width: 0.051;
}

elisa.plugins.pigment.widgets.list_vertical.ListVertical#fastscroller:STATE_NORMAL {
  animated-opacity: 102;
}

elisa.plugins.pigment.widgets.list_vertical.ListVertical#fastscroller:STATE_SELECTED {
  animated-opacity: 255;
}


elisa.plugins.poblesec.base.preview_list.PreviewWidget {
  source_label-size: 0.75, 0.04;
  source_label-position: 0.1, 0.52, 0.0;
  source_icon-size: 0.12, 0.04;
  source_icon-alignment: center;
  source_icon-position: 0.88, 0.52, 0.0;
}

elisa.plugins.poblesec.widgets.search_results.SearchResultsWidget#search_results {
  y: 0.1565;
  height: 0.559;
}

elisa.plugins.poblesec.widgets.search_results.SearchResultsWidget#search_results:STATE_NORMAL {
  animated-opacity: 50;
}

elisa.plugins.poblesec.widgets.search_results.SearchResultsWidget#search_results:STATE_SELECTED {
  animated-opacity: 255;
}

elisa.plugins.poblesec.widgets.keyboard.Keyboard#search_keyboard:STATE_NORMAL {
  animated-y: 0.060;
  z: 0.1;
  animated-opacity: 50;
}

elisa.plugins.poblesec.widgets.keyboard.Keyboard#search_keyboard:STATE_SELECTED {
  animated-y: 0.0;
  animated-opacity: 255;
}

elisa.plugins.poblesec.modal_popup.Popup {
  size: 0.4605, 0.591;
  position: 0.3015, 0.214, 0.2;
  topbar-height: 0.155;
  topbar-background-bg_color: 77, 77, 77, 191;
  topbar-title-size: 0.94, 0.5;
  topbar-title-position: 0.03, 0.45, 0.1;
  topbar-title-bg_color: 0, 0, 0, 0;
  topbar-title-fg_color: 255, 255, 255, 255;
  topbar-title-weight: bold;
  contents-background-bg_color: 41, 41, 41, 191;
  contents-subtitle-size: 0.94, 0.1;
  contents-subtitle-position: 0.03, 0.083, 0.1;
  contents-subtitle-bg_color: 0, 0, 0, 0;
  contents-subtitle-fg_color: 255, 255, 255, 255;
  contents-subtitle-weight: bold;
  contents-text-size: 0.94, 0.8;
  contents-text-position: 0.03, 0.175, 0.1;
  contents-text-bg_color: 0, 0, 0, 0;
  contents-text-fg_color: 255, 255, 255, 255;
  button_bar-height: 0.155;
  button-text-alignment: center;
}

elisa.plugins.poblesec.modal_popup.ErrorPopup {
  topbar-background-file: url(theme/pieces/00403.png);
  topbar-background-layout: filled;
  topbar-background-interp: nearest;
}

elisa.plugins.pigment.widgets.widget.Widget#modalpopup {
  /* The widget in the modal popup controller. */
  background-z: 0.1;
  background-bg_color: 0, 0, 0, 179;
}

elisa.plugins.poblesec.sections_menu.MainMenuItemWidget {
  container-animated-opacity: 102;
  image_section-height: 0.465;
  image_section-z: 0.1;
  image_section_bg-bg_color: 97, 97, 97, 191;
  image-bg_a: 0;
  image-width: 0.512;
  image-x: 0.244;
  image-alignment: center;
  image-layout: scaled;
  caption_section-height: 0.0911;
  caption_section-z: 0.1;
  caption_section_bg-bg_color: 113, 113, 113, 217;
  caption-bg_a: 0;
  caption-fg_color: 247, 246, 246, 255;
  caption-weight: bold;
  caption-position: 0.061, 0.19, 0.0;
}

elisa.plugins.poblesec.sections_menu.MainMenuItemWidget:STATE_SELECTED {
  container-animated-opacity: 255;
}

elisa.plugins.poblesec.sections_menu.MainMenuButton {
  label-weight: normal;
  label-alignment: left;
  label-position: 0.061, 0.3, 0.0;
  label-fg_color: 247, 246, 246, 255;
}

elisa.plugins.poblesec.base.preview_list.ListItemWidgetWithActions {
  /* reduced to leave space for the contextual actions */
  item_widget-width: 0.7;
}


elisa.plugins.poblesec.widgets.button.PanelButton#list:STATE_NORMAL {
  icon-file: url(theme/actions/00037.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#list:STATE_SELECTED {
  icon-file: url(theme/actions/00038.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#list:STATE_PRESSED {
  icon-file: url(theme/actions/00039.png);
}


elisa.plugins.poblesec.widgets.button.PanelButton#info:STATE_NORMAL {
  icon-file: url(theme/actions/00040.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#info:STATE_SELECTED {
  icon-file: url(theme/actions/00041.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#info:STATE_PRESSED {
  icon-file: url(theme/actions/00042.png);
}


elisa.plugins.poblesec.widgets.button.PanelButton#more:STATE_NORMAL {
  icon-file: url(theme/actions/00043.png);
}


elisa.plugins.poblesec.widgets.button.PanelButton#more:STATE_SELECTED {
  icon-file: url(theme/actions/00044.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#more:STATE_PRESSED {
  icon-file: url(theme/actions/00045.png);
}


elisa.plugins.poblesec.widgets.button.PanelButton#recategorize:STATE_NORMAL {
  icon-file: url(theme/actions/00465.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#recategorize:STATE_SELECTED {
  icon-file: url(theme/actions/00466.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#recategorize:STATE_PRESSED {
  icon-file: url(theme/actions/00467.png);
}


elisa.plugins.poblesec.main.ContextualBackground {
  content-opacity: 255;
  mask-z: 0.1;
  mask-layout: filled;
  mask-bg_a: 0;
}

elisa.plugins.poblesec.widgets.button.PanelButton#add:STATE_NORMAL {
  icon-file: url(theme/actions/00477.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#add:STATE_SELECTED {
  icon-file: url(theme/actions/00478.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#add:STATE_PRESSED {
  icon-file: url(theme/actions/00479.png);
}


elisa.plugins.poblesec.widgets.button.PanelButton#remove:STATE_NORMAL {
  icon-file: url(theme/actions/00480.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#remove:STATE_SELECTED {
  icon-file: url(theme/actions/00481.png);
}

elisa.plugins.poblesec.widgets.button.PanelButton#remove:STATE_PRESSED {
  icon-file: url(theme/actions/00482.png);
}

elisa.plugins.poblesec.modal_popup.Popup#empty_alert {
  /* The widget in the list controller to alert the user when there is no
   * content. */
}


elisa.plugins.pigment.widgets.list_vertical.ListVertical#links_menu:STATE_NORMAL {
  position: 0.0177, 0.15, 0.0;
  size: 0.49, 0.864;
  animated-opacity: 102;
}

elisa.plugins.pigment.widgets.list_vertical.ListVertical#links_menu:STATE_SELECTED {
  animated-opacity: 255;
}


elisa.plugins.poblesec.scanning_widget.ScannerWidget {
  width: 0.61;
  horizontal_layout-alignment: start;
  background-bg_color: 77, 77, 77, 191;
  icon-bg_a: 0;
  icon-file: url(theme/glyphs/00414.png);
  icon-width: 0.30;
  icon-x: 0.01;
  labels-width: 0.62;
  text-weight: bold;
  text-height: 0.45;
  text-y: 0.185;
  text-bg_a: 0;
  subtext-font_size: x-small;
  subtext-height: 0.45;
  subtext-bg_a: 0;
  subtext-y: 0.47;
}

elisa.plugins.pigment.widgets.box.HBox#previewlist_components_container {
  position: 0.028, 0.098, 0.0;
  size: 1.0, 0.93;
  spacing: 0.035;
  alignment: start;
}


elisa.plugins.poblesec.player_video.BackButtonPanel:STATE_NORMAL {
  top_height: 0px;
  bottom_height: 0px;
  left_width: 32px;
  right_width: 1px;
  middle_left-file: url(theme/player/back_button/normal/00677.png);
  middle_middle-file: url(theme/player/back_button/normal/00678.png);
  middle_right-file: url(theme/player/back_button/normal/00679.png);
}

elisa.plugins.poblesec.player_video.BackButtonPanel:STATE_SELECTED {
  middle_left-file: url(theme/player/back_button/selected/00680.png);
  middle_middle-file: url(theme/player/back_button/selected/00681.png);
  middle_right-file: url(theme/player/back_button/selected/00682.png);
}

elisa.plugins.poblesec.player_video.BackButtonPanel:STATE_PRESSED {
  middle_left-file: url(theme/player/back_button/pressed/00683.png);
  middle_middle-file: url(theme/player/back_button/pressed/00684.png);
  middle_right-file: url(theme/player/back_button/pressed/00685.png);
}

elisa.plugins.poblesec.player_video.BackButton {
  position: 0.03, 0.02, 0.0;
  size: 0.065, 0.05;
  /* To artificially better align the text inside the button. */
  text-width: 1.2;
  text-alignment: center;
  text-font_size: x-small;
  text-weight: bold;
  text-shadow_position: shadow_north;
  text-shadow_color: 0, 0, 0, 255;
}

elisa.plugins.poblesec.player_video.BackButton:STATE_NORMAL {
  text-color: 247, 246, 246, 255;
}

elisa.plugins.poblesec.player_video.BackButton:STATE_SELECTED {
  text-color: 255, 255, 255, 255;
}

elisa.plugins.poblesec.player_video.BackButton:STATE_PRESSED {
  text-color: 51, 51, 51, 255;
  text-shadow_color: 255, 255, 255, 255;
  text-shadow_position: shadow_south;
}
